package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.Clinical;
import com.lantone.qc.pub.model.entity.PD;
import com.lantone.qc.pub.model.label.ChiefLabel;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;


/**
 * @ClassName : BEH0006
 * @Description :主诉症状缺少近期事件描述
 * @Author : 楼辉荣
 * @Date: 2020-03-06 17:28
 */
@Component
public class BEH0006 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        if(inputInfo.getBeHospitalizedDoc() == null){
            status.set("0");
            return;
        }
        ChiefLabel chiefLabel = inputInfo.getBeHospitalizedDoc().getChiefLabel();
        String chief_text = chiefLabel.getText();
        if(chief_text.contains("检查") || chief_text.contains("术后") || chief_text.contains("药物")|| chief_text.contains("发现")){
            status.set("0");
        }else {
            List<PD> pds = chiefLabel.getPds();
            if(pds != null && pds.size()>0){
                for (PD pd:pds) {
                    String pdName = pd.getName();
                    if(!CatalogueUtil.isEmpty(pdName)){
                        if(pdName.contains("天") || pdName.contains("周")|| pdName.contains("月")
                                || pdName.contains("时") || pdName.contains("半年") || pdName.contains("秒")
                                || pdName.contains("日") || pdName.contains("今")){
                            status.set("0");
                            break;
                        }
                    }
                }
            }
            /*List<Clinical> clinicals = chiefLabel.getClinicals();
            if(clinicals.size()>0){
                for (Clinical clinical:clinicals) {
                    List<PD> timestamp = clinical.getTimestamp();
                    if(timestamp != null){
                        for (PD pd:timestamp) {
                            if(!CatalogueUtil.isEmpty(pd.getName())){
                                if(pd.getName().contains("天") || pd.getName().contains("周")|| pd.getName().contains("月")
                                        || pd.getName().contains("时") || pd.getName().contains("半年") || pd.getName().contains("秒")
                                        || pd.getName().contains("日")|| pd.getName().contains("今")){
                                    status.set("0");
                                    break;
                                }
                            }
                        }
                        if(status.get().equals("0")){
                            break;
                        }
                    }
                }
            }else {
                status.set("0");
            }*/
        }
    }
}