package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.BloodTransfusion;
import com.lantone.qc.pub.util.ListUtil;
import com.lantone.qc.pub.util.StringUtil;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description: 输血史未填写
 * @author: rengb
 * @time: 2020/3/10 14:02
 */
@Component
public class BEH0028 extends QCCatalogue {

    @Override
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        if(inputInfo.getBeHospitalizedDoc() == null){
            status.set("0");
            return;
        }
        List<BloodTransfusion> bloodTransfusions = inputInfo.getBeHospitalizedDoc().getPastLabel().getBloodTransfusions();
        if (ListUtil.isNotEmpty(bloodTransfusions)) {
            if (bloodTransfusions.stream().map(i -> i.getName()).filter(i -> StringUtil.isNotBlank(i)).count() > 0) {
                status.set("0");
                return;
            }
        }
        Map<String, String> structureMap_beh = inputInfo.getBeHospitalizedDoc().getStructureMap();
        if(StringUtils.isNotEmpty(structureMap_beh.get("输血史"))){
            status.set("0");
            return;
        }
    }

}