package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.MaritalHistory;
import com.lantone.qc.pub.util.StringUtil;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @Description: 冶游史未描述
 * @author: rengb
 * @time: 2020/3/10 14:02
 */
@Component
public class BEH0045 extends QCCatalogue {

    @Override
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        if(inputInfo.getBeHospitalizedDoc() == null){
            status.set("0");
            return;
        }
        //台州结构化
        Map<String, String> structureMap = inputInfo.getBeHospitalizedDoc().getStructureMap();
        if(StringUtils.isNotEmpty(structureMap.get("冶游史"))){
            status.set("0");
            return;
        }
        MaritalHistory maritalHistory = inputInfo.getBeHospitalizedDoc().getPersonalLabel().getMaritalHistory();
        if (maritalHistory != null && StringUtil.isNotBlank(maritalHistory.getName())) {
            status.set("0");
        }
    }

}