package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import org.springframework.stereotype.Component;

import java.util.Collection;
import java.util.Map;


/**
 * @ClassName : BEH0438
 * @Description : 入院记录个人出生日期未填写
 * @Author : 楼辉荣
 * @Date: 2020-03-06 17:28
 */
@Component
public class BEH0438 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        if (inputInfo.getBeHospitalizedDoc() == null) {
            return;
        }
        Map<String, String> bhMap = inputInfo.getBeHospitalizedDoc().getStructureMap();
        if(bhMap != null){
            String birthDate = bhMap.get("出生日期");
            if(birthDate != null){
                if(CatalogueUtil.isEmpty(birthDate)){
                    status.set("-1");
                }
            }else {
                status.set("-1");
            }
        }

    }
}