package com.lantone.qc.kernel.catalogue.consultation;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.consultation.ConsultationApplicationDoc;
import com.lantone.qc.pub.model.doc.consultation.ConsultationDoc;
import com.lantone.qc.pub.model.doc.consultation.ConsultationRecordDoc;
import com.lantone.qc.pub.model.doc.consultation.ConsultationResultsDoc;
import org.springframework.stereotype.Component;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @ClassName : CON0528
 * @Description : 无会诊记录单
 * @Author : 楼辉荣
 * @Date: 2020-03-06 17:28
 */
@Component
public class CON0528 extends QCCatalogue {

    public void start(InputInfo inputInfo, OutputInfo outputInfo)throws ParseException {
        status.set("0");
        List<ConsultationDoc> consultationDocs = inputInfo.getConsultationDocs();
        if(consultationDocs.size()>0){
            for (ConsultationDoc consulation:consultationDocs) {
                ConsultationRecordDoc consultationRecordDoc = consulation.getConsultationRecordDoc();
                if(consultationRecordDoc == null || CatalogueUtil.isEmpty(consultationRecordDoc.getText())){
                    status.set("-1");
                    break;
                }
            }
        }

    }
}