package com.lantone.qc.kernel.catalogue.firstcourserecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.KernelConstants;
import com.lantone.qc.kernel.util.RedisUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.FirstCourseRecordDoc;
import com.lantone.qc.pub.model.entity.Diag;
import com.lantone.qc.pub.model.label.DiagLabel;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @ClassName : FIRC0096
 * @Description : 初步诊断不标准
 * @Author : 楼辉荣
 * @Date: 2020-03-06 17:28
 */
@Component
public class FIRC0096 extends QCCatalogue {
    @Autowired
    private RedisUtil redisUtil;
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        Map<String, String> hostpital_standDiag = redisUtil.getJsonStringValue(KernelConstants.HOSPITAL_DIAG_MAP);
        FirstCourseRecordDoc firstCourseRecordDoc = inputInfo.getFirstCourseRecordDoc();
        if(firstCourseRecordDoc != null){
            DiagLabel initialDiagLabel = firstCourseRecordDoc.getInitialDiagLabel();
            if(initialDiagLabel != null){
                List<Diag> diags = initialDiagLabel.getDiags();
                if(diags != null && diags.size()>0){
                    for (Diag diag:diags
                         ) {
                        String hospitalDiagName = diag.getHospitalDiagName();
                        if(!hostpital_standDiag.containsKey(hospitalDiagName)){
                            status.set("-1");
                            break;
                        }
                    }
                }
            }
        }
    }
}