package com.lantone.qc.kernel.catalogue.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.BeHospitalizedDoc;
import com.lantone.qc.pub.model.doc.FirstPageRecordDoc;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : FIRP0518
 * @Description : 民族与入院记录不一致
 * @Author : 楼辉荣
 * @Date: 2020-03-06 17:28
 */
@Component
public class FIRP0518 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        BeHospitalizedDoc beHospitalizedDoc = inputInfo.getBeHospitalizedDoc();
        FirstPageRecordDoc firstPageRecordDoc = inputInfo.getFirstPageRecordDoc();
        if(beHospitalizedDoc != null && firstPageRecordDoc != null){
            Map<String, String> structureMap_bh = beHospitalizedDoc.getStructureMap();
            Map<String, String> structureMap_fpr = firstPageRecordDoc.getStructureMap();
            if(structureMap_bh.get("民族") != null && structureMap_fpr.get("民族") != null){
                if(!structureMap_bh.get("民族").equals(structureMap_fpr.get("民族"))){
                    status.set("-1");
                }
            }else{
                status.set("-1");
            }

        }
    }
}